org.eclipse.wst.jsdt.launching

## Interface IRuntimeClasspathProvider

    public interface IRuntimeClasspathProvider

A includepath provider computes an unresolved includepath for a launch configuration, and resolves includepath entries for a launch configuration. A includepath provider is defined as an extension of type `org.eclipse.wst.jsdt.launching.includepathProvider`.

A provider is registered with an identifier that can be referenced by a launch configuration. A includepath provider is consulted to compute a includepath or source lookup path when a launch configuration references a provider in one or both of the following attributes:

- `ATTR_CLASSPATH_PROVIDER`
- `ATTR_SOURCE_PATH_PROVIDER`

A provider extension is defined in `plugin.xml`. Following is an example definition of a runtime includepath provider extension.

     <extension point="org.eclipse.wst.jsdt.launching.includepathProviders">
       <includepathProvider
          id="com.example.ExampleClasspathProvider"
          class="com.example.ExampleClasspathProviderImpl"
       </includepathProvider>
     </extension>

The attributes are specified as follows:

- `id` specifies a unique identifier for this extension. This identifier may be used to reference a provider on one of the launch configuration attributes mentioned above.
- `class` specifies the fully qualified name of the JavaScript class that implements `IRuntimeClasspathProvider`.

Clients may implement this interface.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`IRuntimeClasspathEntry[]` `computeUnresolvedClasspath(ILaunchConfiguration configuration)` Computes and returns an unresolved includepath for the given launch configuration.
`IRuntimeClasspathEntry[]` `resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration)` Returns the resolved path corresponding to the given path, in the context of the given launch configuration.

### Method Detail

#### computeUnresolvedClasspath

    IRuntimeClasspathEntry[] computeUnresolvedClasspath(ILaunchConfiguration configuration)
                                                 throws CoreException

Computes and returns an unresolved includepath for the given launch configuration. Variable and container entries are not resolved.

Parameters:
  `configuration` - launch configuration
Returns:
  unresolved path
Throws:
  `CoreException` - if unable to compute a path

#### resolveClasspath

    IRuntimeClasspathEntry[] resolveClasspath(IRuntimeClasspathEntry[] entries,
                                              ILaunchConfiguration configuration)
                                       throws CoreException

Returns the resolved path corresponding to the given path, in the context of the given launch configuration. Variable and container entries are resolved. The returned (resolved) path need not have the same number of entries as the given (unresolved) path.

Parameters:
  `entries` - entries to resolve
  `configuration` - launch configuration context to resolve in
Returns:
  resolved path
Throws:
  `CoreException` - if unable to resolve a path